Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: Juri Linkov <[email-masked]>
Date: Tue, 16 Oct 2018 00:12:27 +0300

> When that first issue has been settled, we can easily add to the
> option we talk about here a value that selects the window that has
> received the space of the deleted window - with the restrictions noted
> above.

I understand now what exactly is annoying about the current behavior:
when there is already 2 or more windows on the frame, after splitting the
selected window, you create a new window that displays the same buffer, then
you decide you need to undo the recent split, and the quickest way to do this
is to delete the selected window with 'C-x 0'.  After that, the window
configuration looks exactly as before the split, with only one difference -
the cursor jumps to an unrelated window.